Extending Qt Creator Manual | BehaviorSettings

Extending Qt Creator Manual 4.5.2

# BehaviorSettings Class

(TextEditor::BehaviorSettings)

- List of all members, including inherited members

## Public Functions

| BehaviorSettings()
bool | equals(const BehaviorSettings &bs) const
void | fromMap(const QString &prefix, const QVariantMap &map)
void | fromSettings(const QString &category, const QSettings *s)
void | toMap(const QString &prefix, QVariantMap *map) const
void | toSettings(const QString &category, QSettings *s) const

## Member Function Documentation

### BehaviorSettings::BehaviorSettings()

Default constructs an instance of BehaviorSettings.

### bool BehaviorSettings::equals(const BehaviorSettings &bs) const

### void BehaviorSettings::fromMap(const QString &prefix, const QVariantMap &map)

### void BehaviorSettings::fromSettings(const QString &category, const QSettings *s)

### void BehaviorSettings::toMap(const QString &prefix, QVariantMap *map) const

### void BehaviorSettings::toSettings(const QString &category, QSettings *s) const